Mail archive
alpine-aports

[alpine-aports] [PATCH 3/9] testing/py-gflags: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Wed, 3 Jun 2015 01:04:05 -0500

http://code.google.com/p/python-gflags
Commandline flags module for Python
---
 testing/py-gflags/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/py-gflags/APKBUILD
diff --git a/testing/py-gflags/APKBUILD b/testing/py-gflags/APKBUILD
new file mode 100644
index 0000000..aa5b3e3
--- /dev/null
+++ b/testing/py-gflags/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer: Peter Bui <pnutzh4x0r_at_gmail.com>
+pkgname=py-gflags
+pkgver=2.0
+pkgrel=0
+pkgdesc="Commandline flags module for Python"
+url="http://code.google.com/p/python-gflags"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://python-gflags.googlecode.com/files/python-gflags-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/python-gflags-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="c3ab70218dbf945cc32c0cd64c51d162  python-gflags-2.0.tar.gz"
+sha256sums="311066217acb8cd8519a4c872cb3fe64f02bcf105802bb761ab0de55c2386cd6  python-gflags-2.0.tar.gz"
+sha512sums="28566acffd092f09105f3b9ad3be4ada11f024f940914e6efb103907f3779283c63bdfe13edad83aa470c5e887b49ad8b05031fc1895f3bad9b5d9c368bbfe18  python-gflags-2.0.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jun 03 2015 - 01:04:05 GMT